# __gnu_parallel::_Multiplies< _Tp1, _Tp2, _Result > Struct Template Reference

Similar to std::multiplies, but allows two different types. More...

Inheritance diagram for __gnu_parallel::_Multiplies< _Tp1, _Tp2, _Result >:
[legend]

List of all members.

## Public Types

- typedef _Tp1 first_argument_type
- typedef _Result result_type
- typedef _Tp2 second_argument_type

## Public Member Functions

- _Result operator() (const _Tp1 &__x, const _Tp2 &__y) const

## Detailed Description

### template<typename _Tp1, typename _Tp2, typename _Result = __typeof__(*static_cast<_Tp1*>(NULL) * *static_cast<_Tp2*>(NULL))>
struct __gnu_parallel::_Multiplies< _Tp1, _Tp2, _Result >

Similar to std::multiplies, but allows two different types.

Definition at line 288 of file parallel/base.h.

## Member Typedef Documentation

typedef _Tp1 std::binary_function< _Tp1 , _Tp2 , _Result >::first_argument_type `[inherited]`

the type of the first argument /// (no surprises here)

Definition at line 114 of file stl_function.h.

typedef _Result std::binary_function< _Tp1 , _Tp2 , _Result >::result_type `[inherited]`

type of the return type

Definition at line 118 of file stl_function.h.

typedef _Tp2 std::binary_function< _Tp1 , _Tp2 , _Result >::second_argument_type `[inherited]`

the type of the second argument

Definition at line 117 of file stl_function.h.

The documentation for this struct was generated from the following file:

- parallel/base.h